import type { GroupCall, Room, RoomMember, MatrixEvent } from "matrix-js-sdk/src/matrix";
import { Call, ConnectionState } from "../../src/models/Call";
export declare class MockedCall extends Call {
    readonly event: MatrixEvent;
    static readonly EVENT_TYPE = "org.example.mocked_call";
    readonly STUCK_DEVICE_TIMEOUT_MS: number;
    private constructor();
    static get(room: Room): MockedCall | null;
    static create(room: Room, id: string): void;
    readonly groupCall: GroupCall;
    get participants(): Map<RoomMember, Set<string>>;
    set participants(value: Map<RoomMember, Set<string>>);
    setConnectionState(value: ConnectionState): void;
    clean(): Promise<void>;
    performConnection(): Promise<void>;
    performDisconnection(): Promise<void>;
    destroy(): void;
}
/**
 * Sets up the call store to use mocked calls.
 */
export declare const useMockedCalls: () => void;
